Package com.logicaldoc.core.security

# Class ExtendedAccessControlEntry

java.lang.Object
com.logicaldoc.core.security.AccessControlEntry
com.logicaldoc.core.security.ExtendedAccessControlEntry

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DocumentAccessControlEntry`, `FolderAccessControlEntry`

@Embeddable public class ExtendedAccessControlEntry extends AccessControlEntry
Class for grouping common permissions for `DocumentAccessControlEntry` and `FolderAccessControlEntry`

Since:
  9.2
Author:
  Giuseppe Desiato - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExtendedAccessControlEntry()`
`ExtendedAccessControlEntry(long groupId)`
`ExtendedAccessControlEntry(ExtendedAccessControlEntry source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`AccessControlEntry`
`getAce()`
`long`
`getGroupId()`
`Set<Permission>`
`grantedPermissions()`
`void`
`grantPermissions(Set<Permission> permissions)`
`int`
`hashCode()`
`boolean`
`isArchive()`
`boolean`
`isAutomation()`
`boolean`
`isCalendar()`
`boolean`
`isCustomid()`
`boolean`
`isDelete()`
`boolean`
`isDownload()`
`boolean`
`isEmail()`
`boolean`
`isImmutable()`
`boolean`
`isMove()`
`boolean`
`isPassword()`
`boolean`
`isPreview()`
`boolean`
`isPrint()`
`boolean`
`isRead()`
`boolean`
`isReadingreq()`
`boolean`
`isRename()`
`boolean`
`isRevision()`
`boolean`
`isSecurity()`
`boolean`
`isSign()`
`boolean`
`isSubscription()`
`boolean`
`isWorkflow()`
`boolean`
`isWrite()`
`void`
`setAce(AccessControlEntry ace)`
`void`
`setArchive(boolean archive)`
`void`
`setAutomation(boolean automation)`
`void`
`setCalendar(boolean calendar)`
`void`
`setCustomid(boolean customid)`
`void`
`setDelete(boolean delete)`
`void`
`setDownload(boolean download)`
`void`
`setEmail(boolean email)`
`void`
`setGroupId(long groupId)`
`void`
`setImmutable(boolean immutable)`
`void`
`setMove(boolean move)`
`void`
`setPassword(boolean password)`
`void`
`setPreview(boolean preview)`
`void`
`setPrint(boolean print)`
`void`
`setRead(boolean read)`
`void`
`setReadingreq(boolean readingreq)`
`void`
`setRename(boolean rename)`
`void`
`setRevision(boolean revision)`
`void`
`setSecurity(boolean security)`
`void`
`setSign(boolean sign)`
`void`
`setSubscription(boolean subscription)`
`void`
`setWorkflow(boolean workflow)`
`void`
`setWrite(boolean write)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExtendedAccessControlEntry

public ExtendedAccessControlEntry()

### ExtendedAccessControlEntry

public ExtendedAccessControlEntry(ExtendedAccessControlEntry source)

### ExtendedAccessControlEntry

public ExtendedAccessControlEntry(long groupId)

## Method Details

### getAce

public AccessControlEntry getAce()

### setAce

public void setAce(AccessControlEntry ace)

### isRead

public boolean isRead()

Overrides:
  `isRead` in class `AccessControlEntry`

### setRead

public void setRead(boolean read)

Overrides:
  `setRead` in class `AccessControlEntry`

### isWrite

public boolean isWrite()

Overrides:
  `isWrite` in class `AccessControlEntry`

### setWrite

public void setWrite(boolean write)

Overrides:
  `setWrite` in class `AccessControlEntry`

### isPreview

public boolean isPreview()

### setPreview

public void setPreview(boolean preview)

### isDownload

public boolean isDownload()

### setDownload

public void setDownload(boolean download)

### isSecurity

public boolean isSecurity()

### setSecurity

public void setSecurity(boolean security)

### isDelete

public boolean isDelete()

### setDelete

public void setDelete(boolean delete)

### isRename

public boolean isRename()

### setRename

public void setRename(boolean rename)

### isImmutable

public boolean isImmutable()

### setImmutable

public void setImmutable(boolean immutable)

### isSign

public boolean isSign()

### setSign

public void setSign(boolean sign)

### isArchive

public boolean isArchive()

### setArchive

public void setArchive(boolean archive)

### isWorkflow

public boolean isWorkflow()

### setWorkflow

public void setWorkflow(boolean workflow)

### isCalendar

public boolean isCalendar()

### setCalendar

public void setCalendar(boolean calendar)

### isSubscription

public boolean isSubscription()

### setSubscription

public void setSubscription(boolean subscription)

### isPassword

public boolean isPassword()

### setPassword

public void setPassword(boolean password)

### isPrint

public boolean isPrint()

### setPrint

public void setPrint(boolean print)

### isMove

public boolean isMove()

### setMove

public void setMove(boolean move)

### isEmail

public boolean isEmail()

### setEmail

public void setEmail(boolean email)

### isAutomation

public boolean isAutomation()

### setAutomation

public void setAutomation(boolean automation)

### isReadingreq

public boolean isReadingreq()

### setReadingreq

public void setReadingreq(boolean readingreq)

### isCustomid

public boolean isCustomid()

### setCustomid

public void setCustomid(boolean customid)

### isRevision

public boolean isRevision()

### setRevision

public void setRevision(boolean revision)

### getGroupId

public long getGroupId()

Overrides:
  `getGroupId` in class `AccessControlEntry`

### setGroupId

public void setGroupId(long groupId)

Overrides:
  `setGroupId` in class `AccessControlEntry`

### grantPermissions

public void grantPermissions(Set<Permission> permissions)

Overrides:
  `grantPermissions` in class `AccessControlEntry`

### grantedPermissions

public Set<Permission> grantedPermissions()

Overrides:
  `grantedPermissions` in class `AccessControlEntry`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `AccessControlEntry`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `AccessControlEntry`

### toString

public String toString()

Overrides:
  `toString` in class `AccessControlEntry`